import { createRouter, createWebHistory, RouteRecordRaw } from "vue-router";
import HomeView from "../views/HomeView.vue";
import RegisterView from "../views/RegisterView.vue";

const routes: Array<RouteRecordRaw> = [
  {
    path: "/",
    name: "home",
    component: HomeView,
  },
  {
    path: "/register",
    name: "register",
    component: RegisterView,
  },
  {
    path: "/offer-page",
    name: "OfferPage",
    component: () =>
      import(/* webpackChunkName:  "about" */ "../views/OfferView.vue"),
  },
  {
    path: "/wishlist-page",
    name: "WishlistPage",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/WishlistView.vue"),
  },
  {
    path: "/login-main-page",
    name: "LoginMainPage",
    component: () =>
      import("../views/LoginMainPageView.vue"),
  }
];

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes,
});

export default router;
